{
  "name": "@arsims1/database",
  "version": "1.0.0",
  "description": "Sequelize implementation for Eventick Database",
  "main": "./dist/index.js",
  "types": "./dist/index.d.ts",
  "scripts": {
    "push:release:major": "npx release-it major --ci",
    "push:release:medium": "npx release-it minor --ci",
    "push:release": "npx release-it --ci",
    "build": "npx tsc"
  },
  "publishConfig": {
    "@arsims1:registry": "https://gitlab.com/api/v4/projects/64582614/packages/npm/"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@types/node": "^18.11.15",
    "@types/validator": "^13.7.10",
    "@typescript-eslint/eslint-plugin": "^5.46.1",
    "@typescript-eslint/parser": "^5.46.1",
    "eslint": "^8.29.0",
    "eslint-plugin-simple-import-sort": "^8.0.0",
    "release-it": "^15.5.1",
    "sequelize": "^6.27.0",
    "typescript": "^4.9.4"
  },
  "peerDependencies": {
    "sequelize": "^6.27.0"
  },
  "dependencies": {
    "@aws-sdk/client-secrets-manager": "^3.229.0",
    "pg": "^8.8.0",
    "pg-hstore": "^2.3.4",
    "reflect-metadata": "^0.1.13",
    "sequelize-typescript": "^2.1.5"
  },
  "release-it": {
    "git": {
      "requireCommits": false,
      "commit": true,
      "tag": true,
      "push": true
    },
    "npm": {
      "publish": false
    }
  }
}
